---
title: Topics
url: https://docs.vultr.com/products/storage/databases/kafka/management/topics
description: A guide explaining how to create, view, and manage topics within your Vultr Managed Apache Kafka® instance.
publish_date: 2024-10-16T12:45:23.140090Z
last_updated: 2026-05-26T19:43:54.627619Z
---

# How to Manage Topics for Vultr Managed Apache Kafka®

Vultr Managed Apache Kafka® allows customers to create and manage topics within their Kafka database. Users can easily define topic configurations, including partitioning and replication settings, to suit their data streaming needs. This straightforward interface enables efficient organization of data streams, ensuring customers can scale their applications and optimize performance while maintaining control over their topics.

Follow this guide to manage Topics for Vultr Managed Apache Kafka® with Vultr Console, API, or CLI.

=== "Vultr Console"

    1. Navigate to **Products** and select **Databases**.
    1. Select the target database.
    1. Navigate to **Topics and Users** to manage Quotas for Vultr Managed Apache Kafka®.
    1. Click **Add New Topic**.
    1. Provide values for **Topic Name**, **Partition Count**, **Replication Factor**, **Retention Hours**, and **Retention Bytes**. Click **Add Topic**.

=== "Vultr API"

    1. List all the databases by sending a `GET` request to the [**List Managed Databases** endpoint](https://www.vultr.com/api/#tag/managed-databases/operation/list-databases) and note the target database's ID.

        ```console
        $ curl "https://api.vultr.com/v2/databases" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `POST` request to the [**Create Database Topic** endpoint](https://www.vultr.com/api/#tag/managed-databases/operation/create-database-topic) to create a topic for your database.

        ```console
        $ curl "https://api.vultr.com/v2/databases/<database-id>/topics" \
            -X POST \
            -H "Authorization: Bearer ${VULTR_API_KEY}" \
            -H "Content-Type: application/json" \
            --data '{
                "name" : "some_new_topic",
                "partitions" : 3,
                "replication" : 3,
                "retention_hours" : 160,
                "retention_bytes" : -1
        }'
        ```
    
    1. Send a `GET` request to the [**List Database Topics** endpoint](https://www.vultr.com/api/#tag/managed-databases/operation/list-database-topics) to list all the topics.

        ```console
        $ curl "https://api.vultr.com/v2/databases/<database-id>/topics" \            
            -X GET \                                   
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

=== "Vultr CLI"

    1. List all databases and note the target database's ID.

        ```console
        $ vultr-cli database list --summarize
        ```

    1. Create a database topic for the target database.

        ```console
        $  vultr-cli database topic create <database-id> --name <string> --partitions <int> --retention-bytes <int> --retention-hours <int>
        ```

        Run `vultr-cli database topic create --help` to understand and view all options.

    1. List and confirm the topic created.

        ```console
        $ vultr-cli database topic list <database-id>
        ```

    1. Delete a topic for the target database. 

        ```console
        $ vultr-cli database topic delete <database-id> <topic-name> 
        ```
